import { ComponentFactoryResolver, ViewContainerRef, OnInit, OnDestroy } from '@angular/core';
import { Cell } from '../../../lib/data-set/cell';
import { ViewCell } from '../../../lib/view-cell-interface';
export declare class CustomViewComponent implements OnInit, OnDestroy {
    private resolver;
    customComponent: any;
    cell: Cell;
    isExpanded: boolean;
    dynamicTarget: ViewContainerRef;
    constructor(resolver: ComponentFactoryResolver);
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * This method render de template defined on table settings for custom template.
     */
    protected createCustomComponent(): void;
    /**
     * This method call the function defined on table settings for custom templates.
     */
    protected callOnComponentInit(): void;
    protected patchInstance(): void;
    protected getPatch(): ViewCell;
}
